/**
 * 变量表达式
 *
 * 表达式内通过 this 对象获取上下文
 */

/**
 * 事件函数类型
 * @see https://lowcode-engine.cn/lowcode
 *
 * 保留与原组件属性、生命周期( React / 小程序)一致的输入参数，并给所有事件函数 binding 统一一致的上下文（当前组件所在容器结构的 this 对象）
 */

/**
 * Slot 函数类型
 *
 * 通常用于描述组件的某一个属性为 ReactNode 或 Function return ReactNode 的场景。
 */

/**
 * @deprecated
 *
 * @todo 待文档描述
 */

/**
 * JSON 基本类型
 */

/**
 * 复合类型
 */

/**
 * 为了避免把 { type: 'JSExpression', extType: 'function' } 误判为表达式，故增加如下逻辑。
 *
 * 引擎中关于函数的表达：
 *  开源版本：{ type: 'JSFunction', source: '', value: '' }
 *  内部版本：{ type: 'JSExpression', source: '', value: '', extType: 'function' }
 *  能力是对标的，不过开源的 react-renderer 只认识第一种，而内部只识别第二种（包括 Java 代码、RE）。
 * @param data
 * @returns
 */
export function isJSExpression(data) {
  return data && data.type === 'JSExpression' && data.extType !== 'function';
}
export function isJSFunction(x) {
  return typeof x === 'object' && x && x.type === 'JSFunction';
}
export function isJSSlot(data) {
  return data && data.type === 'JSSlot';
}
export function isJSBlock(data) {
  return data && data.type === 'JSBlock';
}