"use strict";

exports.__esModule = true;
var _exportNames = {
  GlobalEvent: true
};
exports.GlobalEvent = void 0;
var _lowcodeDatasourceTypes = require("@alilc/lowcode-datasource-types");
Object.keys(_lowcodeDatasourceTypes).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _lowcodeDatasourceTypes[key]) return;
  exports[key] = _lowcodeDatasourceTypes[key];
});
var _editor = require("./editor");
Object.keys(_editor).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _editor[key]) return;
  exports[key] = _editor[key];
});
var _fieldConfig = require("./field-config");
Object.keys(_fieldConfig).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _fieldConfig[key]) return;
  exports[key] = _fieldConfig[key];
});
var _i18n = require("./i18n");
Object.keys(_i18n).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _i18n[key]) return;
  exports[key] = _i18n[key];
});
var _icon = require("./icon");
Object.keys(_icon).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _icon[key]) return;
  exports[key] = _icon[key];
});
var _metadata = require("./metadata");
Object.keys(_metadata).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _metadata[key]) return;
  exports[key] = _metadata[key];
});
var _npm = require("./npm");
Object.keys(_npm).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _npm[key]) return;
  exports[key] = _npm[key];
});
var _propConfig = require("./prop-config");
Object.keys(_propConfig).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _propConfig[key]) return;
  exports[key] = _propConfig[key];
});
var _schema = require("./schema");
Object.keys(_schema).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _schema[key]) return;
  exports[key] = _schema[key];
});
var _activity = require("./activity");
Object.keys(_activity).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _activity[key]) return;
  exports[key] = _activity[key];
});
var _tip = require("./tip");
Object.keys(_tip).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _tip[key]) return;
  exports[key] = _tip[key];
});
var _title = require("./title");
Object.keys(_title).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _title[key]) return;
  exports[key] = _title[key];
});
var _utils = require("./utils");
Object.keys(_utils).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _utils[key]) return;
  exports[key] = _utils[key];
});
var _valueType = require("./value-type");
Object.keys(_valueType).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _valueType[key]) return;
  exports[key] = _valueType[key];
});
var _setterConfig = require("./setter-config");
Object.keys(_setterConfig).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _setterConfig[key]) return;
  exports[key] = _setterConfig[key];
});
var _settingTarget = require("./setting-target");
Object.keys(_settingTarget).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _settingTarget[key]) return;
  exports[key] = _settingTarget[key];
});
var _node = require("./node");
Object.keys(_node).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _node[key]) return;
  exports[key] = _node[key];
});
var _transformStage = require("./transform-stage");
Object.keys(_transformStage).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _transformStage[key]) return;
  exports[key] = _transformStage[key];
});
var _codeIntermediate = require("./code-intermediate");
Object.keys(_codeIntermediate).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _codeIntermediate[key]) return;
  exports[key] = _codeIntermediate[key];
});
var _codeResult = require("./code-result");
Object.keys(_codeResult).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _codeResult[key]) return;
  exports[key] = _codeResult[key];
});
var _assets = require("./assets");
Object.keys(_assets).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _assets[key]) return;
  exports[key] = _assets[key];
});
var _GlobalEvent = _interopRequireWildcard(require("./event"));
exports.GlobalEvent = _GlobalEvent;
var _disposable = require("./disposable");
Object.keys(_disposable).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _disposable[key]) return;
  exports[key] = _disposable[key];
});
var _startTransaction = require("./start-transaction");
Object.keys(_startTransaction).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _startTransaction[key]) return;
  exports[key] = _startTransaction[key];
});
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }